<?php 
/*
Plugin Name: Custom Wp Login Form
Plugin URI: https://wordpress.org/plugins/
Description: Remove the default wordpress login logo and replace with your site logo
Version: 1.0.1
Author: Syrup Web Services
Author URI: https://www.syrup.co.zw
*/

class The_Custom_logo
    {
        function __construct()
            {
            add_filter('login_headerurl', array($this, 'filter_login_headerurl' ));
            add_action('login_enqueue_scripts',array($this, 'custom_logo_for_login_page' ));
            }

        function custom_logo_for_login_page()
            {
                $custom_logo_id = get_theme_mod('custom_logo');
                $image = wp_get_attachment_image_src($custom_logo_id);
                ?>
                <style> body.login div#login h1 a{

                    background-image: url('<?php echo $image[0];?>');
                    
                    }
                </style>
                <?php
            }
        function filter_login_headerurl( string $login_header_url ) 
            {
	        return site_url();
            }
     }
new The_Custom_logo();
?>